// Cakowanie numeryczne - metoda prostokatow
// www.algorytm.org
// (c)2007 by Tomasz Lubinski

public class Metoda_prostokatow {

	//funkcja dla ktorej obliczamy calke
	private static double func(double x) {
		return x*x+3;
	}
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		double xp, xk, dx, calka;
		int n;
		
		System.out.println("Podaj poczatek przedzialu calkowania");
		xp = Console.readDouble("");
		
		System.out.println("Podaj koniec przedzialu calkowania");
		xk = Console.readDouble("");

		System.out.println("Podaj dokladnosc calkowania");
		n = Console.readInt("");

		dx = (xk - xp) / (double)n;
		
		calka = 0;
		for (int i=1; i<=n; i++) {
			calka += func(xp + i * dx);
		}
		calka *= dx;
		
		System.out.println("Warto caki wynosi w przyblizeniu " + calka);

	}

}
